/* Button styles ================ */

:root {
  --button-min-width: 100px;
  --button-height: 50px;
  --button-padding-horizontal: 45px;

  --button-border-radius: 30px;

  --button-font-size: 18px;
  --button-font-weight: var(--text-font-weight-bold);

  --button-background-color: var(--color-secondary);
  --button-background-color-hover: color-mod(var(--color-secondary) whiteness(40%));
  --button-background-color-active: color-mod(var(--color-secondary) whiteness(20%));

  --button-border: 1px solid var(--color-secondary);
  --button-border-color-hover: var(--button-background-color-hover);
  --button-border-color-active: var(--button-background-color-active);

  --button-text-color: var(--color-black-light);
  --button-text-color-hover: var(--color-black-light);


  --button-box-shadow: -1px 3px 19px 2px rgba(255, 206, 3, .74);
  --button-box-shadow-blue: -1px 3px 19px 2px rgba(103, 103, 103, .74);

  --button-height-medium: 38px;
  --button-font-size-medium: 17px;
  --button-font-weight-medium: var(--text-font-weight-regular);

  @media (--laptop-small-max) {
    --button-font-size: 14px;
    --button-height: 40px;
  }
}

.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  min-width: var(--button-min-width);
  max-width: 100%;
  height: var(--button-height);
  padding-right: var(--button-padding-horizontal);
  padding-left: var(--button-padding-horizontal);

  border: var(--button-border);
  border-radius: var(--button-border-radius);

  background-color: var(--button-background-color);

  box-shadow: var(--button-box-shadow);

  font-size: var(--button-font-size);
  font-weight: var(--button-font-weight);
  text-align: center;
  text-transform: uppercase;
  text-decoration: none;
  color: var(--button-text-color);

  transition: background-color .3s ease;
  cursor: pointer;
  z-index: var(--z-index-button);
  overflow: hidden;
  -webkit-appearance: inherit;
  user-select: none;

  touch-action: manipulation;

  &:hover {
    border-color: var(--button-border-color-hover);
    background-color: var(--button-background-color-hover);
    text-decoration: none;
    color: var(--button-text-color-hover);
  }

  &:active {
    border-color: var(--button-border-color-active);
    background-color: var(--button-background-color-active);
  }

  &.button--full-width {
    width: 100%;
  }

  @media (--laptop-small-max) {
    text-transform: none;
  }
}

.button--blue-shadow {
  box-shadow: var(--button-box-shadow-blue);
}

.button--medium {
  height: var(--button-height-medium);
  font-size: var(--button-font-size-medium);
  font-weight: var(--button-font-weight-medium);
}

.button__text {
  color: currentColor;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

/* disabled styles */
.button--disabled,
.button[disabled],
fieldset[disabled] .button {
  box-shadow: none;
  cursor: not-allowed;
  opacity: .32;
  pointer-events: none;
}

button[type = "button"] {
  cursor: pointer;
}
/* ================ end button styles */
